apiVersion: apps/v1
kind: Deployment
metadata:
  name: rigelwsc
  namespace: rigel
spec:
  replicas: 1
  selector:
    matchLabels:
      app: rigelwsc
  template:
    metadata:
      labels:
        app: rigelwsc
    spec:
      containers:
      - name: rigelwsc
        image: private-repo:5000/rigelwsc:v2
        ports:
        - containerPort: 8090
        env:
          - name: ETCD_HOST
            value: "10.111.214.58"
          - name: ETCD_PORT
            value: "2379"
          - name: APP_SERVER_PORT
            value: "8090"
          - name: API_PREFIX
            value: "/api/v1"
      nodeSelector:
        name: node-1
